# synfig::ValueNodeList Class Reference

A searchable value_node list container. More...

`#include <valuenode.h>`

List of all members.

## Public Member Functions

| ValueNodeList ()
ValueNode::Handle | find (const String &name)
| Finds the ValueNode in the list with the given name.
ValueNode::ConstHandle | find (const String &name) const
| Finds the ValueNode in the list with the given name.
bool | erase (ValueNode::Handle value_node)
| Removes the value_node from the list.
bool | add (ValueNode::Handle value_node)
bool | count (const String &id) const
ValueNode::Handle | surefind (const String &name)
| Similar to find, but will create a placeholder value_node if it cannot be found.
void | audit ()
| Removes any value_nodes with reference counts of 1.
int | placeholder_count () const
| Placeholder Count.

## Detailed Description

A searchable value_node list container.

Warning:
  Do not confuse with ValueNode_DynamicList!

Todo:
  writeme

## Constructor & Destructor Documentation

ValueNodeList::ValueNodeList | ( |  | ) |

## Member Function Documentation

ValueNode::Handle ValueNodeList::find | ( | const String & | name | ) |

Finds the ValueNode in the list with the given name.

Returns:
  If found, returns a handle to the ValueNode. Otherwise, returns an empty handle.

Referenced by add(), synfig::Canvas::add_value_node(), synfig::Canvas::find_value_node(), and surefind().

ValueNode::ConstHandle ValueNodeList::find | ( | const String & | name | ) | const

Finds the ValueNode in the list with the given name.

Returns:
  If found, returns a handle to the ValueNode. Otherwise, returns an empty handle.

bool ValueNodeList::erase | ( | ValueNode::Handle | value_node | ) |

Removes the value_node from the list.

Referenced by synfig::Canvas::remove_value_node().

bool ValueNodeList::add | ( | ValueNode::Handle | value_node | ) |

Todo:
  This needs to be documented further.

References find().

Referenced by synfig::Canvas::add_value_node().

bool ValueNodeList::count | ( | const String & | id | ) | const

Todo:
  This needs to be documented further.

ValueNode::Handle ValueNodeList::surefind | ( | const String & | name | ) |

Similar to find, but will create a placeholder value_node if it cannot be found.

References synfig::PlaceholderValueNode::create(), and find().

Referenced by synfig::Canvas::surefind_value_node().

void ValueNodeList::audit | ( |  | ) |

Removes any value_nodes with reference counts of 1.

int synfig::ValueNodeList::placeholder_count | ( |  | ) | const`[inline]`

Placeholder Count.

The documentation for this class was generated from the following files:

- valuenode.h
- valuenode.cpp